Manage Time Series Aggregations (Private BETA)
Get a specific time series aggregation by origin or ID
get
/api/time-series-aggregations/{originOrId}Returns a specific time series aggregation identified by its origin label or UUID.
Parameters 2
originOrIdpathrequiredTime series aggregation origin or UUID
string
datasetqueryReferences Dataset
Optional dataset to query across. Defaults to whatever is configured to be the default dataset for the organization.
stringpattern
"^[a-zA-Z0-9_-]{3,26}$"bash
Sample request12curl --request GET 'https://api.eu-west-1.aws.dash0.com/api/time-series-aggregations/123e4567-e89b-42d3-a456-426614174000' \--header "Authorization: Bearer ${DASH0_AUTH_TOKEN}"
Responses
The requested time series aggregation
References TimeSeriesAggregationDefinition
stringrequired
"Dash0TimeSeriesAggregation"TimeSeriesAggregationMetadatarequired
TimeSeriesAggregationSpecrequired